Page MenuHome

Hitting 'Escape' while editing a shortcut enters that key on Windows, while on linux it cancels edition
Open, NormalPublic

Description

System Information
Windows 7 64bits, nvidia gt540m CUDA 2GB, Intel i7 2GHz, 8GB ram

Blender Version
Broken: 2.75 c6b042b

Short description of error
When i do a search of a shortcut, and then if i want to assign a new value and then cancel, the tab disappear.

Exact steps for others to reproduce the error
Blender User Preferences > Input > Search by key-binding "Ctrl Tab" > Show key map and property of any tab > Clic on "type of event" to change the value > Press Esc to cancel > the tab disappear.

Details

Type
To Do

Event Timeline

Ilya (Tirmit) updated the task description. (Show Details)
Ilya (Tirmit) raised the priority of this task from to Needs Triage by Developer.
Ilya (Tirmit) added a project: BF Blender.
Ilya (Tirmit) set Type to Bug.
Ilya (Tirmit) added a subscriber: Ilya (Tirmit).

Ehhh… @Ilya (Tirmit) can you please attach here a screen shot of the issue?

Otherwise, would sound like a driver issue, can you please:

  • Ensure both your OS and drivers are fully up-to-date.
  • Try to start Blender in factory settings (--factory-startup commandline option) (this will ensure whether this is a userpref or addon issue or not).
  • Try to tweak OGL settings in UserPreferences, System tab.
  • Try to tweak your GPU driver settings (e.g. try different values between 'performance' and 'quality' if you have such slider, etc.).
  • Attach here the report generated by Help -> System Info.
  • Try to place this dll next to your blender.exe (software OGL, will be slow, but will show whether this is a driver issue or not).
Bastien Montagne (mont29) triaged this task as Needs Information from User priority.Jul 9 2015, 10:27 AM
Ilya (Tirmit) added a comment.EditedJul 13 2015, 2:48 PM

Here some screenshots :



system-info :

Blender 2.75 (sub 0) System Information

Blender:

version 2.75 (sub 0), branch b'master', commit date b'2015-07-07' b'14:56', hash b'c27589e', b''
build date: b'Wed 07/08/2015', b'10:38 AM'
platform: b'Windows'
binary path: 'C:\\Program Files\\Blender Foundation\\Blender\\blender-app.exe'
build cflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /MP /openmp '
build cxxflags: b'/W3 /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /nologo /J /Gd /EHsc /MP /openmp '
build linkflags: b'/MACHINE:X64 /OPT:NOREF /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib'
build system: b'CMake'

Python:

version: 3.4.2 (default, Dec 7 2014, 18:21:18) [MSC v.1800 64 bit (AMD64)]
paths:
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\addons_contrib'
'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\scripts\\addons'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\addons'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\startup'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\python34.zip'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\python\\DLLs'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\python\\lib'
'C:\\Program Files\\Blender Foundation\\Blender'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\python'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\python\\lib\\site-packages'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\freestyle\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\addons\\modules'
'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\scripts\\addons\\modules'

Directories:

scripts: ['C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts\\modules', 'C:\\Program Files\\Blender Foundation\\Blender\\2.75\\scripts', 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\scripts']
user scripts: 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\datafiles\\'
config: 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\config\\'
scripts : 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\scripts\\'
autosave: 'C:\\Users\\Tirmit\\AppData\\Roaming\\Blender Foundation\\Blender\\2.75\\autosave\\'
tempdir: 'C:\\Users\\Tirmit\\AppData\\Local\\Temp\\blender_a05180\\'

FFmpeg:

'avcodec':' ''55, 39, 101'
'avdevice':' ''55, 5, 100'
'avformat':' ''55, 19, 104'
'avutil':' ''52, 48, 101'
'swscale':' '' 2, 5, 101'

SDL

Version: 2.0.3
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:

OpenColorIO: 1, 0, 8
OpenImageIO: 1, 4, 16
OpenShadingLanguage: 1, 5, 11

OpenGL

renderer: 'GeForce GT 540M/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.4.0'
extensions:

		'GL_AMD_multi_draw_indirect GL_ARB_arrays_of_arrays'
		'GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_buffer_storage'
		'GL_ARB_clear_buffer_object GL_ARB_clear_texture'
		'GL_ARB_color_buffer_float GL_ARB_compatibility'
		'GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth'
		'GL_ARB_compute_shader GL_ARB_compute_variable_group_size'
		'GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_debug_output'
		'GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture'
		'GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect'
		'GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced'
		'GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility'
		'GL_ARB_ES3_compatibility GL_ARB_explicit_attrib_location'
		'GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions'
		'GL_ARB_fragment_layer_viewport GL_ARB_fragment_program'
		'GL_ARB_fragment_program_shadow GL_ARB_fragment_shader'
		'GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object'
		'GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4'
		'GL_ARB_get_program_binary GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64'
		'GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging'
		'GL_ARB_indirect_parameters GL_ARB_instanced_arrays'
		'GL_ARB_internalformat_query GL_ARB_internalformat_query2'
		'GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment'
		'GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect'
		'GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query'
		'GL_ARB_occlusion_query2 GL_ARB_pixel_buffer_object'
		'GL_ARB_point_parameters GL_ARB_point_sprite'
		'GL_ARB_program_interface_query GL_ARB_provoking_vertex'
		'GL_ARB_robust_buffer_access_behavior GL_ARB_robustness'
		'GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map'
		'GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counters'
		'GL_ARB_shader_bit_encoding GL_ARB_shader_draw_parameters'
		'GL_ARB_shader_group_vote GL_ARB_shader_image_load_store'
		'GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision'
		'GL_ARB_query_buffer_object GL_ARB_shader_storage_buffer_object'
		'GL_ARB_shader_subroutine GL_ARB_shader_texture_lod'
		'GL_ARB_shading_language_100 GL_ARB_shading_language_420pack'
		'GL_ARB_shading_language_include GL_ARB_shading_language_packing'
		'GL_ARB_shadow GL_ARB_sparse_texture GL_ARB_stencil_texturing'
		'GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_border_clamp'
		'GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32'
		'GL_ARB_texture_buffer_range GL_ARB_texture_compression'
		'GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc'
		'GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array'
		'GL_ARB_texture_env_add GL_ARB_texture_env_combine'
		'GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3'
		'GL_ARB_texture_float GL_ARB_texture_gather'
		'GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat'
		'GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two'
		'GL_ARB_texture_query_levels GL_ARB_texture_query_lod'
		'GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui'
		'GL_ARB_texture_stencil8 GL_ARB_texture_storage'
		'GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle'
		'GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2'
		'GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced'
		'GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object'
		'GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object'
		'GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding'
		'GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader'
		'GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev'
		'GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers'
		'GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc'
		'GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform'
		'GL_EXT_blend_color GL_EXT_blend_equation_separate'
		'GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract'
		'GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test'
		'GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced'
		'GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit'
		'GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats'
		'GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object'
		'GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4'
		'GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4'
		'GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil'
		'GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object'
		'GL_EXT_point_parameters GL_EXT_provoking_vertex GL_EXT_rescale_normal'
		'GL_EXT_secondary_color GL_EXT_separate_shader_objects'
		'GL_EXT_separate_specular_color GL_EXT_shader_image_load_store'
		'GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_stencil_two_side'
		'GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array'
		'GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1'
		'GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc'
		'GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map'
		'GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine'
		'GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic'
		'GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias'
		'GL_EXT_texture_mirror_clamp GL_EXT_texture_object'
		'GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB'
		'GL_EXT_texture_sRGB_decode GL_EXT_texture_storage'
		'GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2'
		'GL_EXT_vertex_array GL_EXT_vertex_array_bgra'
		'GL_EXT_vertex_attrib_64bit GL_EXT_import_sync_object'
		'GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_debug'
		'GL_KTX_buffer_region GL_NV_bindless_multi_draw_indirect'
		'GL_NV_bindless_multi_draw_indirect_count GL_NV_blend_equation_advanced'
		'GL_NV_blend_square GL_NV_compute_program5 GL_NV_conditional_render'
		'GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float'
		'GL_NV_depth_clamp GL_NV_draw_texture GL_NV_ES1_1_compatibility'
		'GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_fence'
		'GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_program'
		'GL_NV_fragment_program_option GL_NV_fragment_program2'
		'GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4'
		'GL_NV_gpu_program4 GL_NV_gpu_program4_1 GL_NV_gpu_program5'
		'GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64'
		'GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent'
		'GL_NV_multisample_coverage GL_NV_multisample_filter_hint'
		'GL_NV_occlusion_query GL_NV_packed_depth_stencil'
		'GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2'
		'GL_NV_path_rendering GL_NV_pixel_data_range GL_NV_point_sprite'
		'GL_NV_primitive_restart GL_NV_register_combiners'
		'GL_NV_register_combiners2 GL_NV_shader_atomic_counters'
		'GL_NV_shader_atomic_float GL_NV_shader_buffer_load'
		'GL_NV_shader_storage_buffer_object GL_NV_texgen_reflection'
		'GL_NV_texture_barrier GL_NV_texture_compression_vtc'
		'GL_NV_texture_env_combine4 GL_NV_texture_expand_normal'
		'GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_shader'
		'GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback'
		'GL_NV_transform_feedback2 GL_NV_vertex_array_range'
		'GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit'
		'GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program'
		'GL_NV_vertex_program1_1 GL_NV_vertex_program2'
		'GL_NV_vertex_program2_option GL_NV_vertex_program3'
		'GL_NVX_conditional_render GL_NVX_gpu_memory_info'
		'GL_NV_shader_thread_group GL_KHR_blend_equation_advanced'
		'GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture'
		'GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint'
		'WGL_EXT_swap_control '

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 4

GLSL:
Maximum Varying Floats: 124
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 4096
Maximum Fragment Uniform Components: 2048
Maximum Vertex Image Units: 32
Maximum Fragment Image Units: 32
Maximum Pipeline Image Units: 192

Cycles

CPU device capabilities: SSE2 SSE3 SSE41 AVX

CUDA device capabilities:
GeForce GT 540M

		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y			1024
		CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z			64
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X			65535
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y			65535
		CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z			65535
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK			49152
		CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY			65536
		CU_DEVICE_ATTRIBUTE_WARP_SIZE			32
		CU_DEVICE_ATTRIBUTE_MAX_PITCH			2147483647
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK			32768
		CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK			32768
		CU_DEVICE_ATTRIBUTE_CLOCK_RATE			1344000
		CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_GPU_OVERLAP			1
		CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT			2
		CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT			0
		CU_DEVICE_ATTRIBUTE_INTEGRATED			0
		CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY			1
		CU_DEVICE_ATTRIBUTE_COMPUTE_MODE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT			65535
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES			2048
		CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT			512
		CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS			1
		CU_DEVICE_ATTRIBUTE_ECC_ENABLED			0
		CU_DEVICE_ATTRIBUTE_TCC_DRIVER			0
		CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE			900000
		CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH			128
		CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE			131072
		CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR			1536
		CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT			1
		CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE			0
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE			0
		CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT			32
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH			65536
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS			2048
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH			32768
		CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS			2046
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH			134217728
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT			65000
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH			1048544
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_HEIGHT			16384
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MAJOR			2
		CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MINOR			1
		CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_MIPMAPPED_WIDTH			16384
		CU_DEVICE_ATTRIBUTE_STREAM_PRIORITIES_SUPPORTED			0
		CU_DEVICE_ATTRIBUTE_GLOBAL_L1_CACHE_SUPPORTED			1
		CU_DEVICE_ATTRIBUTE_LOCAL_L1_CACHE_SUPPORTED			1
		CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_MULTIPROCESSOR			49152
		CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_MULTIPROCESSOR			32768
		CU_DEVICE_ATTRIBUTE_MANAGED_MEMORY			0
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD			0
		CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD_GROUP_ID			0

OpenCL device capabilities:
Number of platforms: 1
Platform #0
Platform Name: NVIDIA CUDA
Platform Vendor: NVIDIA Corporation
Platform Version: OpenCL 1.1 CUDA 6.5.14
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll
Number of devices: 1

		Device: #0
			Device Name: GeForce GT 540M
			Device Vendor: NVIDIA Corporation
			Device OpenCL C Version: OpenCL C 1.1 
			Device Profile: FULL_PROFILE
			Device Version: OpenCL 1.1 CUDA
			Device Extensions: cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_d3d9_sharing cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll  cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64

Cannot reproduce the issue here, but imho real problem is that you have two entries with same shortcut here it seems… can you show scrrenshot of those two with all their settings?

The second entry was generated by an add-on, but it's not what cause the problem. Because i can reproduce this issue with any entries.

Eeeeek! Please never paste walls of text like that, just attach the report as a text file!

Anyway, cannot reproduce so far, moving to the BF Blender: Unconfirmed project.
If 2 other people aren't able to redo the bug after 2 weeks, it will be closed.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Jul 13 2015, 3:44 PM

I can reproduce this.
version 2.75 (sub 2), branch b'master', commit date b'2015-07-10' b'22:04', hash b'909fa34', b'Release'

I misunderstood the meaning of his report.
I thought that a tag of user-prefs disappeared, but it meant that Key-Binding disappeared.

@Bastien Montagne (mont29):
I think that you can reproduce it if you open up the details and try it.

I see.
This worked definitely.
When I pushed the ESC key, it is registered in CTRL+ESC.
So, this is a bug.

Cannot reproduce on linux, must be something specific to Windows (here when hitting escape it just cancel the shortcut editing - which is not so nice btw, since in prevents assigning escape :/ ).

Bastien Montagne (mont29) renamed this task from User preferences shortcut tab disappear to Hitting 'Escape' while editing a shortcut enters that key on Windows, while on linux it cancels edition.Jul 15 2015, 9:15 AM

For me it works like this:
Editing the event type in the box header, input is cancelled on ESC, editing the event type from the button that's inside the opened box, shortcut is re-assigned to ESC (and the box disappears since it's filtered out - glitchy but working as intended).

@Campbell Barton (campbellbarton), don't think this should be closed already. With glitchy but working as intended I meant that the edited entry disappears when filtering by shortcut and changing the shortcut.

To all:

However, I think there's some confusion here, so trying to clarify things...
Blender User Preferences > Input > Search by key-binding "Ctrl Tab" > Show content of any box...

^^^ Editing the event type using this button, input is cancelled when pressing Esc
^^^ Editing the event type using this button, the entire box for this shortcut disappears, but when searching for key-binding 'Esc' now, the box can be found again but with the shortcut re-assigned to Esc.
Can everybody confirm this behavior?

Campbell Barton (campbellbarton) changed Type from Bug to To Do.